require File.expand_path(File.dirname(__FILE__) + '/spec_helper')
include ApiHelper

describe Rack::ApiFairy do
  it "speeds up data" do
    get '/'
    last_response.ok?
    last_response.body.should == "Magic"
  end

  it "responds by name" do
    name = 'elf'
    get "/?name=#{name}"
    last_response.ok?
    last_response.body.should == "Magical #{name}"
  end
end
